https://src.fedoraproject.org/rpms/curl/raw/rawhide/f/0001-curl-7.84.0-sched-yield.patch

From 711902d9e591947d5d8ec9568beab0c7d36b7dd0 Mon Sep 17 00:00:00 2001
From: Daniel Stenberg <daniel@haxx.se>
Date: Mon, 27 Jun 2022 08:46:21 +0200
Subject: [PATCH] easy_lock.h: include sched.h if available to fix build

Patched-by: Harry Sintonen

Closes #9054

Upstream-commit: e2e7f54b7bea521fa8373095d0f43261a720cda0
Signed-off-by: Kamil Dudka <kdudka@redhat.com>
---
 lib/easy_lock.h | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/lib/easy_lock.h b/lib/easy_lock.h
index 819f50c..1f54289 100644
--- a/lib/easy_lock.h
+++ b/lib/easy_lock.h
@@ -36,6 +36,9 @@
 
 #elif defined (HAVE_ATOMIC)
 #include <stdatomic.h>
+#if defined(HAVE_SCHED_YIELD)
+#include <sched.h>
+#endif
 
 #define curl_simple_lock atomic_bool
 #define CURL_SIMPLE_LOCK_INIT false
-- 
2.35.3

